LibreOffice LibreOffice 26.2 SDK C/C++ API Reference

Loading...
Searching...
No Matches
_typelib_Parameter_Init Struct Reference

Init struct of interface methods for typelib_typedescription_new(). More...

`#include <typedescription.h>`

## Public Attributes
typelib_TypeClass | eTypeClass
| type class of parameter
rtl_uString * | pTypeName
| name of parameter
rtl_uString * | pParamName
| name of parameter
sal_Bool | bIn
| true, if parameter is [in] or [inout]
sal_Bool | bOut
| true, if parameter is [out] or [inout]

## Detailed Description

Init struct of interface methods for typelib_typedescription_new().

## Member Data Documentation

## ◆ bIn

sal_Bool _typelib_Parameter_Init::bIn

true, if parameter is [in] or [inout]

## ◆ bOut

sal_Bool _typelib_Parameter_Init::bOut

true, if parameter is [out] or [inout]

## ◆ eTypeClass

typelib_TypeClass _typelib_Parameter_Init::eTypeClass

type class of parameter

## ◆ pParamName

rtl_uString* _typelib_Parameter_Init::pParamName

name of parameter

## ◆ pTypeName

rtl_uString* _typelib_Parameter_Init::pTypeName

name of parameter

The documentation for this struct was generated from the following file:

- typelib/typedescription.h